<? 
require_once('../../conf/connection.php');


$fecha =$_GET["fecha"];
$sucu =$_GET["sucu"];
 $query_sucu="SELECT * FROM sucu WHERE codsucu='$sucu' ";
	   $res_sucu=mysql_query($query_sucu);
	   $nom_sucu=mysql_result($res_sucu,0,"nombre");

$hora=date("H:i:s");
$fecha_ft=date('Y-m-d',strtotime($fecha));

//suma total de ventas boletas = "1" y faturas="2" 

$query="SELECT sum(valor_total) AS boletas FROM tp_doc  WHERE tipo=1 AND sucu='$sucu' AND fecha='$fecha'";
$rs_query=mysql_query($query);
$boletas=mysql_result($rs_query,0,"boletas");
if($boletas==""){$boletas="0";}else{}

$query="SELECT sum(valor_total) AS facturas FROM tp_doc  WHERE tipo=10 AND sucu='$sucu' AND fecha='$fecha'";
$rs_query=mysql_query($query);
$facturas=mysql_result($rs_query,0,"facturas");
if($facturas==""){$facturas="0";}else{}

$totalventa=$boletas+$facturas;

$query2="SELECT * FROM tp_doc WHERE fecha='$fecha' AND sucu='$sucu'";
$rs_query2=mysql_query($query2);

//SUMA TOTAL POR FORMA DE PAGO

// efectivo=1 | transbank (credito)=2 | transbank(debito)=3 | cuenta_cliente=4

$query="SELECT sum(valor_total) AS efectivo FROM tp_doc  WHERE forma='1' AND sucu='$sucu' AND fecha='$fecha'";
$rs_query=mysql_query($query);
$efectivo=mysql_result($rs_query,0,"efectivo");
if($efectivo==""){$efectivo="0";}else{}

$query="SELECT sum(valor_total) AS credito FROM tp_doc  WHERE forma='2' AND sucu='$sucu' AND fecha='$fecha'";
$rs_query=mysql_query($query);
$credito=mysql_result($rs_query,0,"credito");
if($credito==""){$credito="0";}else{}

$query="SELECT sum(valor_total) AS debito FROM tp_doc  WHERE forma='3' AND sucu='$sucu' AND fecha='$fecha'";
$rs_query=mysql_query($query);
$debito=mysql_result($rs_query,0,"debito");
if($debito==""){$debito="0";}else{}

$query="SELECT sum(valor_total) AS cuenta FROM tp_doc  WHERE forma='4' AND sucu='$sucu' AND fecha='$fecha'";
$rs_query=mysql_query($query);
$cuenta=mysql_result($rs_query,0,"cuenta");
if($cuenta==""){$cuenta="0";}else{}

$totalventa_pago=$efectivo+$debito+$credito+$cuenta;

//fin 


 ?>
 
 


<html>
	<head>
		<title></title>
		<link href="../../estilos/estilos.css" type="text/css" rel="stylesheet">	
		<script>
		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		 function imprimir() {
			location.href="../informe.php";	
		 }
		</script>
        <script language="javascript">
function imprimir() {
	window.print();

	
}
</script>
	</head>

	<body onLoad="imprimir()">	
	
    <table width="358" border=0 cellpadding=3 cellspacing=0 class="fuente8">					
					  <tr>
						
						  <td width="675" align="center" >ADMIN-POST V1.0</td>
						 
					  </tr>
					  <tr>
					    <td >----------------------------------------------------------</td>
      </tr>
					  <tr>
					    <td align="center" >  ********** CIERRE DE CAJA ************</td>
      </tr>
					  <tr>
					    <td align="center" >SUCURSAL:<? echo $nom_sucu ?></td>
      </tr>
					  <tr>
					    <td >---------------------------------------------------------</td>
      </tr>
					  
					  <tr>
					    <td >HORA: <? echo $hora ?></td>
      </tr>
					  
					  <tr>
					    <td >FECHA: <? echo $fecha_ft?></td>
      </tr>
					  
					  
                      </table>
                      <br>
                      <table width="233" border="0" class="table">
  <tr>
    <td>Docuentos</td>
    <td>Total </td>
    </tr>
  <tr>
    <td width="86">Sin Doc:</td>
    <td width="98" align="right"><? echo $facturas ?></td>
  </tr>
  <tr>
    <td>Boletas: </td>
    <td align="right"><? echo $boletas ?></td>
  </tr>
  <tr>
    <td>Total</td>
    <td align="right"><? echo $totalventa ?></td>
  </tr>
</table>
<br>
<table width="232" border="0">
          <tr>
            <td>Tipos de pago</td>
            <td>Total </td>
  </tr>
          <tr>
            <td width="121">Efectivo:</td>
            <td width="69" align="right"><? echo $efectivo ?></td>
          </tr>
          <tr>
            <td>Transbank (Credito):</td>
            <td align="right"><? echo $credito ?></td>
          </tr>
          <tr>
            <td>Transbank (Debito):</td>
            <td align="right"><? echo $debito ?></td>
          </tr>
          <tr>
            <td>Cuenta Cliente: </td>
            <td align="right"><? echo $cuenta ?></td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td align="right"><hr></td>
          </tr>
          <tr>
            <td>Total</td>
            <td align="right"><? echo $totalventa_pago ?></td>
          </tr>
    </table><br>
                      
                     <table width="975">
					  
					       
					        
					        <tr>
					          <td>
				                DETALLES
                                 <?
        $buscar='select * from tp_doc where sucu='.$sucu.' and fecha like \'%'.$fecha_ft.'%\' order by numero';
		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{
			?>
				<table  width="305" border="0">
				<tr bgcolor="#69BFE0" >
				<td width="223">Documento</td>
				<td width="130" bgcolor="#69BFE0">Tipo doc</td>
				<td width="79" bgcolor="#69BFE0">Total </td>
				</tr>
				<tr bgcolor="#69BFE0" >
				  <td colspan="4" bgcolor="#FFFFFF">-------------------------------------------------</td>
				  </tr>
				<?
				while($row=mysql_fetch_assoc($r))
				{ //Procesamos cada registro como una fila de tabla
					?>
					<tr><?
					//$row["nomCampo"] estos nomCampo son los campos devueltos por el
					//query en la variable $r que procesa mysql_fetch_assoc
					?>
					  <td><? echo  $row["numero"] ?></td>
					 
					 <td align="left"><? $tipo=$row["tipo"];if($tipo==1){echo "Boleta";}else{echo "Sin doc";} ?></td>
					 <td align="right"><? echo $row["valor_total"] ?></td>
				    </tr>
					
				<? }?>
                <tr>
					  <td colspan="4">-------------------------------------------------</td>
				  </tr>
                   <tr>
					  <td colspan="4" align="right">TOTAL: <? echo $totalventa;  ?></td>
				  </tr>
                   <tr>
                     <td colspan="4" align="right">&nbsp;</td>
                   </tr>
                   <tr>
                     <td colspan="4" align="center">******** Fin cierre de caja ************</td>
                   </tr>
                   <tr>
                     <td colspan="4" align="center">
                     *** Informática Virtualsur Chile EIRL ***
                     </td>
                   </tr>
				</table>
			
			<? } 
			else
			{
				echo "No hubieron coincidencias!";
     
			} ?>
